|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3DropSite Class Reference

The Q3DropSite class provides nothing and does nothing. More...

    #include <Q3DropSite>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

- List of all members, including inherited members

### Public Functions

- Q3DropSite ( QWidget * self )
- virtual ~Q3DropSite ()

## Detailed Description

The Q3DropSite class provides nothing and does nothing.

It was used in Qt 1.x to do some drag and drop; that has since been folded into QWidget.

See also Q3DragObject, Q3TextDrag, and Q3ImageDrag.

## Member Function Documentation

### Q3DropSite::Q3DropSite ( QWidget * self )

Constructs a Q3DropSite to handle events for the widget self.

Pass `this` as the self parameter. This enables dropping by calling QWidget::setAcceptDrops(true).

### Q3DropSite::~Q3DropSite () `[virtual]`

Destroys the drop site.